Nelson Mandela, les chemins inattendus

08-Dec-2013 | other

Son nom scandé sur les cinq continents est synonyme de résistance, de libération, d’universalité. Lutteur entêté autant que malicieux, Nelson Mandela a fêté ses 95 ans. L’idée même que l’on se prosterne au pied de sa statue l’a toujours exaspéré : mieux vaut aller de l’avant et poursuivre la tâche immense de l’émancipation.

par Achille Mbembe, Le Monde Diplomatique, août 2013

LyX auto generate pdf

19-Apr-2013 | scripts

This script permit to automatically generate the PDF output when you are working on LyX files. You need to install the "inotify-tools" package:

$ sudo aptitude install inotify-tools
#!/bin/bash --posix

set -u

error()
{
    echo >&2 $*
    exit 1
}

typeset -r CMD_WHICH="/usr/bin/which"
typeset -r CMD_LYX=$($CMD_WHICH lyx)
[[ -x $CMD_LYX ]] || error "lyx command not found !"

typeset -r CMD_INOTIFYWAIT=$($CMD_WHICH inotifywait)
[[ -x $CMD_INOTIFYWAIT ]] || error "inotifywait command not found !"

while true
do
    $CMD_INOTIFYWAIT *.lyx
    $CMD_LYX -batch -e pdf2 -f 01_master.lyx
    (( $? == 0 )) || error "error generating pdf!"
done

exit 0

# EOF

Un proxy fiable

27-Jun-2012 | network

Je n'expliquerai pas ici pourquoi il est parfois utile voire plus sécurisé d'utiliser un proxy fiable.

Sachez qu'une ligne de commande suffit pour naviguer sur Internet en rebondissant sur une machine que l'on sait, connectée de façon fiable à Internet.

$ ssh -ND 9999 user@hostname

Cela suppose que la sortie SSH (port 22) soit ouverte. Le port 9999 a été choisit arbitrairement, vous êtes libre de le changer.

Il suffit ensuite de dire à son navigateur préféré d'utiliser 'localhost:9999' comme proxy.

firefox proxy

IPv4/IPv6 protocol priority

20-Jun-2012 | linux network

Depuis le 6 Juin 2012 tout l'internet fonctionne en IPv6.

Dans la vraie vie, il est souvent intéressant de continuer à utiliser le protocole IPv4 quand on a le choix :

$ ping -c2 google.fr ; ping6 -c2 google.fr
PING google.fr (173.194.78.94) 56(84) bytes of data.
64 bytes from wg-in-f94.1e100.net (173.194.78.94): icmp_req=1 ttl=48 time=34.6 ms
64 bytes from wg-in-f94.1e100.net (173.194.78.94): icmp_req=2 ttl=48 time=33.9 ms

--- google.fr ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 1001ms
rtt min/avg/max/mdev = 33.949/34.295/34.641/0.346 ms
PING google.fr(par08s09-in-x1f.1e100.net) 56 data bytes
64 bytes from par08s09-in-x1f.1e100.net: icmp_seq=1 ttl=57 time=91.9 ms
64 bytes from par08s09-in-x1f.1e100.net: icmp_seq=2 ttl=57 time=92.8 ms

--- google.fr ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 1001ms
rtt min/avg/max/mdev = 91.977/92.422/92.868/0.539 ms

Sur Linux, le protocole IPv6 est prioritaire quand les 2 protocoles sont disponibles. Pour privilégier l'IPv4, il suffit d'ajouter la ligne suivante dans le fichier '/etc/gai.conf'.

precedence ::ffff:0:0/96 100